## smbldap-tools 0.9.5

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PACKAGE=smbldap-tools
-VERSION=0.9.4
+VERSION=0.9.5
 RELEASE=1
 DESTARCH=smbldap-tools-$(VERSION)
 #RELEASE=$(shell date +%s)
@@ -69,7 +69,7 @@
 	@cp smbldap.conf $(DESTARCH)
 	@cp configure.pl $(DESTARCH)
 	@cp -r migration_scripts $(DESTARCH)/doc/
-	@cp -r doc/smbldap-tools/*.pdf doc/smbldap-tools/html $(DESTARCH)/doc/
+	@cp doc/smbldap-tools/*.pdf doc/smbldap-tools/*.html $(DESTARCH)/doc/
 	@cp slapd.conf $(DESTARCH)/doc/
 	@cp smb.conf $(DESTARCH)/doc/
 	@rm -rf $(DESTARCH)/doc/{html,migration_scripts}/.svn
@@ -96,36 +96,38 @@
 	@perl -i -pe's@^\%define release(.*)@\%define release $(RELEASE)@' $(TOPDIR)/SPECS/smbldap-tools.spec
 	@perl -i -pe's@^Source0(.*)@Source0: smbldap-tools-$(VERSION).tgz@' $(TOPDIR)/SPECS/smbldap-tools.spec
 	@cd $(TOPDIR)/SPECS/ && $(BUILD_CMD) smbldap-tools.spec
-home:
-	@mkdir -p iallanis/{docs/{smbldap-tools,samba-ldap-howto},old}
-	@cp ChangeLog iallanis/
-	@#mv iallanis/{*.rpm,*.tgz} iallanis/old/
-	@rm -f iallanis/old/{smbldap-tools-$(VERSION)-$(RELEASE).noarch.rpm,smbldap-tools-$(VERSION)-$(RELEASE).src.rpm,smbldap-tools-$(VERSION).tgz}
-	@cp $(TOPDIR)/RPMS/noarch/smbldap-tools-$(VERSION)-$(RELEASE).noarch.rpm iallanis/
 	@echo "Signing packages smbldap-tools-$(VERSION)-$(RELEASE).noarch.rpm"
-	@cd iallanis/ && gpg --detach smbldap-tools-$(VERSION)-$(RELEASE).noarch.rpm
-	@cp $(TOPDIR)/SRPMS/smbldap-tools-$(VERSION)-$(RELEASE).src.rpm iallanis/
+	@cd $(TOPDIR)/RPMS/noarch &&  gpg --detach smbldap-tools-$(VERSION)-$(RELEASE).noarch.rpm
 	@echo "Signing packages smbldap-tools-$(VERSION)-$(RELEASE).src.rpm"
-	@cd iallanis/ && gpg --detach smbldap-tools-$(VERSION)-$(RELEASE).src.rpm
-	@cp smbldap-tools-$(VERSION).tgz iallanis/
+	@cd $(TOPDIR)/SRPMS/ && gpg --detach smbldap-tools-$(VERSION)-$(RELEASE).src.rpm
 	@echo "Signing packages smbldap-tools-$(VERSION).tgz"
-	@cd iallanis/ && gpg --detach smbldap-tools-$(VERSION).tgz
+	@cd $(TOPDIR)/SOURCES/ && gpg --detach smbldap-tools-$(VERSION).tgz
+	@echo "Arch: $(DESTARCH).tgz"
+
+
+home_devel: rpm
+	@mkdir -p iallanis/{docs/{smbldap-tools,samba-ldap-howto},old,development_release}
+	@cp -f iallanis/development_release/ChangeLog "/tmp/ChangeLog-homedevel-`date`"
+	@cp -f ChangeLog iallanis/development_release/
+	@cp $(TOPDIR)/SOURCES/smbldap-tools-$(VERSION){.tgz,.tgz.sig} iallanis/development_release/
+	@cp $(TOPDIR)/RPMS/noarch/smbldap-tools-$(VERSION)-$(RELEASE).noarch{.rpm,.rpm.sig} iallanis/development_release/
+	@cp $(TOPDIR)/SRPMS/smbldap-tools-$(VERSION)-$(RELEASE).src{.rpm,.rpm.sig} iallanis/development_release/
+	@rsync -avz --delete --delete-excluded --exclude .svn -e "ssh -p 443" iallanis/ 192.168.10.1:/home/www/html/smbldap-tools
+
+home: rpm
+	@cp -f iallanis/ChangeLog "/tmp/ChangeLog-home-`date`"
+	@cp -f ChangeLog iallanis/
 	@cp doc/smbldap-tools/smbldap-tools.html iallanis/docs/smbldap-tools/index.html
 	@cp doc/samba-ldap-howto/smbldap-howto.html iallanis/docs/samba-ldap-howto/index.html
+	@cp $(TOPDIR)/SOURCES/smbldap-tools-$(VERSION){.tgz,.tgz.sig} iallanis/
+	@cp $(TOPDIR)/RPMS/noarch/smbldap-tools-$(VERSION)-$(RELEASE).noarch{.rpm,.rpm.sig} iallanis/
+	@cp $(TOPDIR)/SRPMS/smbldap-tools-$(VERSION)-$(RELEASE).src{.rpm,.rpm.sig} iallanis/
 	rsync -avz --delete --delete-excluded --exclude .svn -e "ssh -p 443" iallanis/ 192.168.10.1:/home/www/html/smbldap-tools
 
 gna:
-	@cp ChangeLog GNA/packages/
-	@cp -i $(TOPDIR)/RPMS/noarch/smbldap-tools-$(VERSION)-$(RELEASE).noarch.rpm GNA/packages/
-	@cp -i $(TOPDIR)/SRPMS/smbldap-tools-$(VERSION)-$(RELEASE).src.rpm GNA/packages/
-	@cp -i smbldap-tools-$(VERSION).tgz GNA/packages/
-	@cp doc/smbldap-tools/smbldap-tools.html GNA/docs/smbldap-tools/index.html
-	@cp doc/samba-ldap-howto/smbldap-howto.html GNA/docs/samba-ldap-howto/index.html
-	@echo "Signing packages smbldap-tools-$(VERSION)-$(RELEASE).noarch.rpm"
-	@cd GNA/packages/ && gpg --detach smbldap-tools-$(VERSION)-$(RELEASE).noarch.rpm
-	@echo "Signing packages smbldap-tools-$(VERSION)-$(RELEASE).src.rpm"
-	@cd GNA/packages/ && gpg --detach smbldap-tools-$(VERSION)-$(RELEASE).src.rpm
-	@echo "Signing packages smbldap-tools-$(VERSION).tgz"
-	@cd GNA/packages/ && gpg --detach smbldap-tools-$(VERSION).tgz
+	@cp -f ChangeLog GNA/packages/
+	@cp $(TOPDIR)/SOURCES/smbldap-tools-$(VERSION){.tgz,.tgz.sig} GNA/packages/
+	@cp $(TOPDIR)/RPMS/noarch/smbldap-tools-$(VERSION)-$(RELEASE).noarch{.rpm,.rpm.sig} GNA/packages/
+	@cp $(TOPDIR)/SRPMS/smbldap-tools-$(VERSION)-$(RELEASE).src{.rpm,.rpm.sig} GNA/packages/
 	rsync -avz -e ssh --delete --delete-excluded --exclude .svn GNA/ download.gna.org:/upload/smbldap-tools/
