=== debian/changelog ===
smbldap-tools (0.9.9-1ubuntu1) raring; urgency=low

  * Merge from Debian unstable (LP: #1054130). Remaining changes:
    - Apply patch from rdratlos to resolve being unable to join a Windows
      7 or Windows 2008 machine to a Samba domain due to the use of cached
      nss credentials.
    - 0020_original_doc_html_index.patch: Add index html file.

 -- Logan Rosen <logatronico@gmail.com>  Thu, 06 Dec 2012 23:27:14 -0500

smbldap-tools (0.9.9-1) unstable; urgency=low

  * New upstream release (Closes: #647860, #679935, #680939, #681350)
  * Previous upstream version closes: #670246
  * Bumped standard version (no changes needed)

 -- Sergio Talens-Oliag <sto@debian.org>  Tue, 07 Aug 2012 20:28:37 +0200
