## smbldap-tools 0.9.11

=== debian/changelog ===
smbldap-tools (0.9.11-3) unstable; urgency=medium

  * QA upload.
  * debian/changelog: added missing GPL-2 license paragraph.
  * debian/control: bumped Standards-Version to 4.6.0.

 -- David da Silva Polverari <david.polverari@gmail.com>  Mon, 20 Sep 2021 17:53:09 +0000

smbldap-tools (0.9.11-2) unstable; urgency=low

  * QA upload.

  [ Debian Janitor ]
  * Trim trailing whitespace.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 02 Feb 2021 16:08:24 +0000

smbldap-tools (0.9.11-1) unstable; urgency=medium

  * QA upload.
  * New upstream release. (Closes: #692530, #906108, #906109)
  * debian/clean: created to clean build artifacts.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Added Homepage field.
      - Added Vcs-* fields.
      - Removed redundant 'quilt' dependency from Build-Depends field.
      - Removed unnecessary Build-Depends-Indep field.
  * debian/copyright:
      - Updated Source field to point to the repository of the last active
        maintainer. Thanks to Daniele Palumbo <build-jessie-amd64@retaggio.net>
        and to SATOH Fumiyas <fumiyas at OSS Technology Corp., Japan>. (Closes:
        #906106)
      - Updated upstream address.
      - Using GitHub repository issues in Upstream-Contact field.
  * debian/patches/0003_include_config_script.patch: no longer needed, as
    upstream solved the problem. Deleted.
  * debian/rules:
      - Added a dh_auto_configure override to run build/autogen.sh before
        dh_auto_configure.
      - Removed useless DEB_BUILD_MAINT_OPTIONS export.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/upstream/metadata: created.
  * debian/watch:
      - Bumped to version 4.
      - Updated the source address.

 -- David da Silva Polverari <david.polverari@gmail.com>  Thu, 25 Jun 2020 00:25:09 -0500

smbldap-tools (0.9.9-3) unstable; urgency=medium

  * QA upload.
  * Ran wrap-and-sort.
  * debian/copyright: added rights for build/subst.pl.in file, under GPL-2.
  * debian/doc-base: fixed spelling errors.
  * debian/patches:
      - Added DEP-3 header to 0001_debian_nobody.patch.
      - Created 0002_manpage_spelling.patch to fix spelling errors on manpages.
      - Created 0003_include_config_script.patch to include smbldap-config
        back into the install (Closes: #697225). Thanks to Nishanth Aravamudan
        <nish.aravamudan@canonical.com>.
  * debian/README.Debian: fixed spelling errors.
  * debian/tests/*: created to perform trivial CI tests.
  * debian/TODO.Debian: renamed to debian/TODO.

 -- David da Silva Polverari <david.polverari@gmail.com>  Tue, 19 May 2020 01:22:17 -0500

smbldap-tools (0.9.9-2) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #831723)
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control:
      - Bumped Standards-Version to 4.5.0.
      - Changed Priority from extra to optional.
  * debian/copyright:
      - Added new rights in the block debian.
      - Migrated to 1.0 format.
  * debian/rules: removed unnecessary information.

 -- David da Silva Polverari <david.polverari@gmail.com>  Tue, 12 May 2020 19:23:38 -0300
