=== debian/control ===
Source: smbldap-tools
Section: admin
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/smbldap-tools
Vcs-Git: https://salsa.debian.org/debian/smbldap-tools.git
Homepage: https://github.com/fumiyas/smbldap-tools

Package: smbldap-tools
Architecture: all
Depends: libcrypt-smbhash-perl,
         libio-socket-ssl-perl,
         libnet-ldap-perl,
         libunicode-maputf8-perl,
         ${misc:Depends},
         ${perl:Depends}
Description: Scripts to manage Unix and Samba accounts stored on LDAP
 Set of scripts to manage data relative to users and groups stored in an LDAP
 server. The tools manage POSIX, shadow and Samba (3.0 series) accounts and
 groups.
 .
 This package is used to add/del/mod users and groups in the Linux
 Samba-OpenLDAP Howto
 <http://download.gna.org/smbldap-tools/docs/samba-ldap-howto/>
