=== debian/tests/control ===
Tests: smoke
Restrictions: allow-stderr
